

    ------.    ,---------.--.--.
   /       |  ___        |  |  |  \\------------ -- .  
   | .__  / \/   .   ____/ _/ _/      The 0pen
   |   /  .     <      |  |  |             Free Fiasco
   | '-    >     ^  ___| _| .'                Firmware Flasher
   |                 |  '  |          - --  --- ----------------\\
   \_____/7_/\______    :  I                              0xFFFF
               _/ ___|_.|__|
                '`

0xFFFF is the Open Free Fiasco Firmware Flasher for Maemo devices. It supports
generating and unpacking FIASCO images. It is useful for editing Maemo firmware
packages before flashing. It supports flashing via USB any image type to a
Maemo device and also \"cold\" flashing which means flashing dead device with
erased bootloader. There is support for booting kernel via USB without flashing
to NAND and also changing configuration of Maemo device (enable/disable R&D
mode, changing HW revision strings, ...).

0xFFFF is an alternative tool to proprietary Nokia flasher-3.5 and fiasco-gen.
0xFFFF generates compatible FIASCO images and also accepts FIASCO images
generated by Nokia fiasco-gen.

Use it with CARE. This is an experimental tool and it can brick your device.
It's not supposed to be stable, so Nokia will probably release incompatible
bootloaders to break this tool. USE IT AT YOUR OWN RISK.

PLEASE. Read all the documentation inside doc/* carefully before building or
using the flasher to avoid questions, problems or so.

  https://github.com/pali/0xFFFF

-----------8<---------------------------------------------------------------

Build:
 $ make

To install: (by default is /usr/local)
 $ make install PREFIX=/usr DESTDIR=/



Have phun!
                                                         --pancake
                                                         --Pali
